=== debian/changelog ===
qt-example-blobs (0.1-1) unstable; urgency=low

  * Initial release 

 -- Antonio Aloisio <antonio.aloisio@gmail.com>  Fri, 06 Nov 2009 22:55:00 +0200
